/*===========================================================================*/
/*   (Llib/bexit.scm)                                                        */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -stdc -c Llib/bexit.scm -indent -o objs/obj_s/Llib/bexit.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___BEXIT_TYPE_DEFINITIONS
#define BGL___BEXIT_TYPE_DEFINITIONS
#endif // BGL___BEXIT_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_requirezd2initializa7ationz75zz__bexitz00 = BUNSPEC;
static obj_t BGl_z62envzd2getzd2exitdzd2valzb0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_z62valzd2fromzd2exitzf3z91zz__bexitz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_uncaught_exception_handler(obj_t);
BGL_EXPORTED_DECL obj_t bgl_failsafe_mutex_profile(void);
static obj_t BGl_z62z42failsafezd2mutexzd2profilez20zz__bexitz00(obj_t);
extern obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
BGL_EXPORTED_DECL obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_exitdzd2execzd2protectz00zz__bexitz00(obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_envzd2getzd2exitdzd2valzd2zz__bexitz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__bexitz00(void);
BGL_EXPORTED_DECL obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_z62defaultzd2uncaughtzd2exceptionzd2handlerzb0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__bexitz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__bexitz00(void);
static bool_t BGl_exitdzd2execzd2andzd2popzd2protectsz12z12zz__bexitz00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__bexitz00(void);
static obj_t BGl_objectzd2initzd2zz__bexitz00(void);
static obj_t BGl_z62unwindzd2stackzd2valuezf3z91zz__bexitz00(obj_t, obj_t);
static obj_t BGl_z62unwindzd2untilz12za2zz__bexitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_envzd2setzd2exitdzd2valz12zc0zz__bexitz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_symbol1617z00zz__bexitz00 = BUNSPEC;
static obj_t BGl_symbol1619z00zz__bexitz00 = BUNSPEC;
extern obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
static obj_t BGl_symbol1621z00zz__bexitz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__bexitz00(void);
static obj_t BGl_symbol1624z00zz__bexitz00 = BUNSPEC;
static obj_t BGl_z62envzd2setzd2exitdzd2valz12za2zz__bexitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_symbol1633z00zz__bexitz00 = BUNSPEC;
static obj_t BGl_z62z42exitdzd2mutexzd2profilez20zz__bexitz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_exitdzd2protectzd2setz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_loopze70ze7zz__bexitz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62unwindzd2stackzd2untilz12z70zz__bexitz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_list1616z00zz__bexitz00 = BUNSPEC;
static obj_t BGl_z62exitdzd2popzd2protectz12z70zz__bexitz00(obj_t, obj_t);
static obj_t BGl_z62exitdzd2pushzd2protectz12z70zz__bexitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_exitd_mutex_profile(void);
static obj_t BGl_list1623z00zz__bexitz00 = BUNSPEC;
static obj_t BGl_z62exitdzd2protectzd2setz12z70zz__bexitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t unwind_stack_value_p(obj_t);
static obj_t BGl_list1632z00zz__bexitz00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE(BGl_unwindzd2stackzd2valuezf3zd2envz21zz__bexitz00, BgL_bgl_za762unwindza7d2stac1641z00, BGl_z62unwindzd2stackzd2valuezf3z91zz__bexitz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_defaultzd2uncaughtzd2exceptionzd2handlerzd2envz00zz__bexitz00, BgL_bgl_za762defaultza7d2unc1642z00, BGl_z62defaultzd2uncaughtzd2exceptionzd2handlerzb0zz__bexitz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_exitdzd2protectzd2setz12zd2envzc0zz__bexitz00, BgL_bgl_za762exitdza7d2prote1643z00, BGl_z62exitdzd2protectzd2setz12z70zz__bexitz00, 0L, BUNSPEC, 2);
BGL_DEFINE_STRING(BGl_string1612z00zz__bexitz00, BgL_bgl_string1612za700za7za7_1644za7, "/tmp/bigloo/runtime/Llib/bexit.scm", 34 );
BGL_DEFINE_STRING(BGl_string1613z00zz__bexitz00, BgL_bgl_string1613za700za7za7_1645za7, "loop~0", 6 );
BGL_DEFINE_STRING(BGl_string1614z00zz__bexitz00, BgL_bgl_string1614za700za7za7_1646za7, "procedure", 9 );
BGL_DEFINE_STRING(BGl_string1615z00zz__bexitz00, BgL_bgl_string1615za700za7za7_1647za7, "loop~0:Wrong number of arguments", 32 );
BGL_DEFINE_STRING(BGl_string1618z00zz__bexitz00, BgL_bgl_string1618za700za7za7_1648za7, "funcall", 7 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42failsafezd2mutexzd2profilezd2envz90zz__bexitz00, BgL_bgl_za762za742failsafeza7d1649za7, BGl_z62z42failsafezd2mutexzd2profilez20zz__bexitz00, 0L, BUNSPEC, 0);
BGL_DEFINE_STRING(BGl_string1620z00zz__bexitz00, BgL_bgl_string1620za700za7za7_1650za7, "proc-bottom", 11 );
BGL_DEFINE_STRING(BGl_string1622z00zz__bexitz00, BgL_bgl_string1622za700za7za7_1651za7, "val", 3 );
BGL_DEFINE_STRING(BGl_string1625z00zz__bexitz00, BgL_bgl_string1625za700za7za7_1652za7, "hdl", 3 );
BGL_DEFINE_STRING(BGl_string1626z00zz__bexitz00, BgL_bgl_string1626za700za7za7_1653za7, "unwind-protect", 14 );
BGL_DEFINE_STRING(BGl_string1627z00zz__bexitz00, BgL_bgl_string1627za700za7za7_1654za7, "exit out of dynamic scope", 25 );
BGL_DEFINE_STRING(BGl_string1628z00zz__bexitz00, BgL_bgl_string1628za700za7za7_1655za7, "bint", 4 );
BGL_DEFINE_STRING(BGl_string1629z00zz__bexitz00, BgL_bgl_string1629za700za7za7_1656za7, "exitd-exec-protect", 18 );
BGL_DEFINE_STRING(BGl_string1630z00zz__bexitz00, BgL_bgl_string1630za700za7za7_1657za7, "mutex", 5 );
BGL_DEFINE_STRING(BGl_string1631z00zz__bexitz00, BgL_bgl_string1631za700za7za7_1658za7, "exitd-exec-protect:Wrong number of arguments", 44 );
BGL_DEFINE_STRING(BGl_string1634z00zz__bexitz00, BgL_bgl_string1634za700za7za7_1659za7, "p", 1 );
BGL_DEFINE_STRING(BGl_string1635z00zz__bexitz00, BgL_bgl_string1635za700za7za7_1660za7, "exitd-pop-protect!", 18 );
BGL_DEFINE_STRING(BGl_string1636z00zz__bexitz00, BgL_bgl_string1636za700za7za7_1661za7, "pair", 4 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_envzd2getzd2exitdzd2valzd2envz00zz__bexitz00, BgL_bgl_za762envza7d2getza7d2e1662za7, BGl_z62envzd2getzd2exitdzd2valzb0zz__bexitz00, 0L, BUNSPEC, 1);
BGL_DEFINE_STRING(BGl_string1637z00zz__bexitz00, BgL_bgl_string1637za700za7za7_1663za7, "&env-get-exitd-val", 18 );
BGL_DEFINE_STRING(BGl_string1638z00zz__bexitz00, BgL_bgl_string1638za700za7za7_1664za7, "dynamic-env", 11 );
BGL_DEFINE_STRING(BGl_string1639z00zz__bexitz00, BgL_bgl_string1639za700za7za7_1665za7, "&env-set-exitd-val!", 19 );
BGL_DEFINE_STRING(BGl_string1640z00zz__bexitz00, BgL_bgl_string1640za700za7za7_1666za7, "__bexit", 7 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_unwindzd2stackzd2untilz12zd2envzc0zz__bexitz00, BgL_bgl_za762unwindza7d2stac1667z00, BGl_z62unwindzd2stackzd2untilz12z70zz__bexitz00, 0L, BUNSPEC, 5);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_exitdzd2pushzd2protectz12zd2envzc0zz__bexitz00, BgL_bgl_za762exitdza7d2pushza71668za7, BGl_z62exitdzd2pushzd2protectz12z70zz__bexitz00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42exitdzd2mutexzd2profilezd2envz90zz__bexitz00, BgL_bgl_za762za742exitdza7d2mu1669za7, BGl_z62z42exitdzd2mutexzd2profilez20zz__bexitz00, 0L, BUNSPEC, 0);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_exitdzd2popzd2protectz12zd2envzc0zz__bexitz00, BgL_bgl_za762exitdza7d2popza7d1670za7, BGl_z62exitdzd2popzd2protectz12z70zz__bexitz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_unwindzd2untilz12zd2envz12zz__bexitz00, BgL_bgl_za762unwindza7d2unti1671z00, BGl_z62unwindzd2untilz12za2zz__bexitz00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_valzd2fromzd2exitzf3zd2envz21zz__bexitz00, BgL_bgl_za762valza7d2fromza7d21672za7, BGl_z62valzd2fromzd2exitzf3z91zz__bexitz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_envzd2setzd2exitdzd2valz12zd2envz12zz__bexitz00, BgL_bgl_za762envza7d2setza7d2e1673za7, BGl_z62envzd2setzd2exitdzd2valz12za2zz__bexitz00, 0L, BUNSPEC, 2);

/* contant bindings */
static void bgl_constant_bindings() {
BGL_BIND_PROCEDURE(BGl_envzd2setzd2exitdzd2valz12zd2envz12zz__bexitz00, BgL_bgl_za762envza7d2setza7d2e1673za7);
BGL_BIND_PROCEDURE(BGl_valzd2fromzd2exitzf3zd2envz21zz__bexitz00, BgL_bgl_za762valza7d2fromza7d21672za7);
BGL_BIND_PROCEDURE(BGl_unwindzd2untilz12zd2envz12zz__bexitz00, BgL_bgl_za762unwindza7d2unti1671z00);
BGL_BIND_PROCEDURE(BGl_exitdzd2popzd2protectz12zd2envzc0zz__bexitz00, BgL_bgl_za762exitdza7d2popza7d1670za7);
BGL_BIND_PROCEDURE(BGl_z42exitdzd2mutexzd2profilezd2envz90zz__bexitz00, BgL_bgl_za762za742exitdza7d2mu1669za7);
BGL_BIND_PROCEDURE(BGl_exitdzd2pushzd2protectz12zd2envzc0zz__bexitz00, BgL_bgl_za762exitdza7d2pushza71668za7);
BGL_BIND_PROCEDURE(BGl_unwindzd2stackzd2untilz12zd2envzc0zz__bexitz00, BgL_bgl_za762unwindza7d2stac1667z00);
BGL_BIND_STRING(BGl_string1640z00zz__bexitz00, BgL_bgl_string1640za700za7za7_1666za7);
BGL_BIND_STRING(BGl_string1639z00zz__bexitz00, BgL_bgl_string1639za700za7za7_1665za7);
BGL_BIND_STRING(BGl_string1638z00zz__bexitz00, BgL_bgl_string1638za700za7za7_1664za7);
BGL_BIND_STRING(BGl_string1637z00zz__bexitz00, BgL_bgl_string1637za700za7za7_1663za7);
BGL_BIND_PROCEDURE(BGl_envzd2getzd2exitdzd2valzd2envz00zz__bexitz00, BgL_bgl_za762envza7d2getza7d2e1662za7);
BGL_BIND_STRING(BGl_string1636z00zz__bexitz00, BgL_bgl_string1636za700za7za7_1661za7);
BGL_BIND_STRING(BGl_string1635z00zz__bexitz00, BgL_bgl_string1635za700za7za7_1660za7);
BGL_BIND_STRING(BGl_string1634z00zz__bexitz00, BgL_bgl_string1634za700za7za7_1659za7);
BGL_BIND_STRING(BGl_string1631z00zz__bexitz00, BgL_bgl_string1631za700za7za7_1658za7);
BGL_BIND_STRING(BGl_string1630z00zz__bexitz00, BgL_bgl_string1630za700za7za7_1657za7);
BGL_BIND_STRING(BGl_string1629z00zz__bexitz00, BgL_bgl_string1629za700za7za7_1656za7);
BGL_BIND_STRING(BGl_string1628z00zz__bexitz00, BgL_bgl_string1628za700za7za7_1655za7);
BGL_BIND_STRING(BGl_string1627z00zz__bexitz00, BgL_bgl_string1627za700za7za7_1654za7);
BGL_BIND_STRING(BGl_string1626z00zz__bexitz00, BgL_bgl_string1626za700za7za7_1653za7);
BGL_BIND_STRING(BGl_string1625z00zz__bexitz00, BgL_bgl_string1625za700za7za7_1652za7);
BGL_BIND_STRING(BGl_string1622z00zz__bexitz00, BgL_bgl_string1622za700za7za7_1651za7);
BGL_BIND_STRING(BGl_string1620z00zz__bexitz00, BgL_bgl_string1620za700za7za7_1650za7);
BGL_BIND_PROCEDURE(BGl_z42failsafezd2mutexzd2profilezd2envz90zz__bexitz00, BgL_bgl_za762za742failsafeza7d1649za7);
BGL_BIND_STRING(BGl_string1618z00zz__bexitz00, BgL_bgl_string1618za700za7za7_1648za7);
BGL_BIND_STRING(BGl_string1615z00zz__bexitz00, BgL_bgl_string1615za700za7za7_1647za7);
BGL_BIND_STRING(BGl_string1614z00zz__bexitz00, BgL_bgl_string1614za700za7za7_1646za7);
BGL_BIND_STRING(BGl_string1613z00zz__bexitz00, BgL_bgl_string1613za700za7za7_1645za7);
BGL_BIND_STRING(BGl_string1612z00zz__bexitz00, BgL_bgl_string1612za700za7za7_1644za7);
BGL_BIND_PROCEDURE(BGl_exitdzd2protectzd2setz12zd2envzc0zz__bexitz00, BgL_bgl_za762exitdza7d2prote1643z00);
BGL_BIND_PROCEDURE(BGl_defaultzd2uncaughtzd2exceptionzd2handlerzd2envz00zz__bexitz00, BgL_bgl_za762defaultza7d2unc1642z00);
BGL_BIND_PROCEDURE(BGl_unwindzd2stackzd2valuezf3zd2envz21zz__bexitz00, BgL_bgl_za762unwindza7d2stac1641z00);
}

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__bexitz00) );
ADD_ROOT( (void *)(&BGl_symbol1617z00zz__bexitz00) );
ADD_ROOT( (void *)(&BGl_symbol1619z00zz__bexitz00) );
ADD_ROOT( (void *)(&BGl_symbol1621z00zz__bexitz00) );
ADD_ROOT( (void *)(&BGl_symbol1624z00zz__bexitz00) );
ADD_ROOT( (void *)(&BGl_symbol1633z00zz__bexitz00) );
ADD_ROOT( (void *)(&BGl_list1616z00zz__bexitz00) );
ADD_ROOT( (void *)(&BGl_list1623z00zz__bexitz00) );
ADD_ROOT( (void *)(&BGl_list1632z00zz__bexitz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long BgL_checksumz00_1786, char * BgL_fromz00_1787)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__bexitz00))
{ 
BGl_requirezd2initializa7ationz75zz__bexitz00 = 
BBOOL(((bool_t)0)); 
bgl_constant_bindings(); 
BGl_gczd2rootszd2initz00zz__bexitz00(); 
BGl_cnstzd2initzd2zz__bexitz00(); 
BGl_importedzd2moduleszd2initz00zz__bexitz00(); 
return 
BGl_methodzd2initzd2zz__bexitz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__bexitz00(void)
{
{ /* Llib/bexit.scm 14 */
BGl_symbol1617z00zz__bexitz00 = 
bstring_to_symbol(BGl_string1618z00zz__bexitz00); 
BGl_symbol1619z00zz__bexitz00 = 
bstring_to_symbol(BGl_string1620z00zz__bexitz00); 
BGl_symbol1621z00zz__bexitz00 = 
bstring_to_symbol(BGl_string1622z00zz__bexitz00); 
BGl_list1616z00zz__bexitz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1617z00zz__bexitz00, 
MAKE_YOUNG_PAIR(BGl_symbol1619z00zz__bexitz00, 
MAKE_YOUNG_PAIR(BGl_symbol1619z00zz__bexitz00, 
MAKE_YOUNG_PAIR(BGl_symbol1621z00zz__bexitz00, BNIL)))); 
BGl_symbol1624z00zz__bexitz00 = 
bstring_to_symbol(BGl_string1625z00zz__bexitz00); 
BGl_list1623z00zz__bexitz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1617z00zz__bexitz00, 
MAKE_YOUNG_PAIR(BGl_symbol1624z00zz__bexitz00, 
MAKE_YOUNG_PAIR(BGl_symbol1624z00zz__bexitz00, 
MAKE_YOUNG_PAIR(BGl_symbol1621z00zz__bexitz00, BNIL)))); 
BGl_symbol1633z00zz__bexitz00 = 
bstring_to_symbol(BGl_string1634z00zz__bexitz00); 
return ( 
BGl_list1632z00zz__bexitz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1617z00zz__bexitz00, 
MAKE_YOUNG_PAIR(BGl_symbol1633z00zz__bexitz00, 
MAKE_YOUNG_PAIR(BGl_symbol1633z00zz__bexitz00, BNIL))), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__bexitz00(void)
{
{ /* Llib/bexit.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* val-from-exit? */
BGL_EXPORTED_DEF obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t BgL_valz00_3)
{
{ /* Llib/bexit.scm 144 */
{ /* Llib/bexit.scm 145 */
 obj_t BgL_arg1156z00_1516;
BgL_arg1156z00_1516 = 
BGL_EXITD_VAL(); 
return 
BBOOL(
(BgL_valz00_3==BgL_arg1156z00_1516));} } 

}



/* &val-from-exit? */
obj_t BGl_z62valzd2fromzd2exitzf3z91zz__bexitz00(obj_t BgL_envz00_1722, obj_t BgL_valz00_1723)
{
{ /* Llib/bexit.scm 144 */
return 
BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(BgL_valz00_1723);} 

}



/* unwind-stack-value? */
BGL_EXPORTED_DEF bool_t unwind_stack_value_p(obj_t BgL_valz00_4)
{
{ /* Llib/bexit.scm 155 */
{ /* Llib/bexit.scm 145 */
 obj_t BgL_arg1156z00_1517;
BgL_arg1156z00_1517 = 
BGL_EXITD_VAL(); 
return 
(BgL_valz00_4==BgL_arg1156z00_1517);} } 

}



/* &unwind-stack-value? */
obj_t BGl_z62unwindzd2stackzd2valuezf3z91zz__bexitz00(obj_t BgL_envz00_1724, obj_t BgL_valz00_1725)
{
{ /* Llib/bexit.scm 155 */
return 
BBOOL(
unwind_stack_value_p(BgL_valz00_1725));} 

}



/* unwind-until! */
BGL_EXPORTED_DEF obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t BgL_exitdz00_5, obj_t BgL_valz00_6)
{
{ /* Llib/bexit.scm 165 */
return 
BGl_loopze70ze7zz__bexitz00(BFALSE, BgL_exitdz00_5, BFALSE, BgL_valz00_6, BFALSE);} 

}



/* &unwind-until! */
obj_t BGl_z62unwindzd2untilz12za2zz__bexitz00(obj_t BgL_envz00_1726, obj_t BgL_exitdz00_1727, obj_t BgL_valz00_1728)
{
{ /* Llib/bexit.scm 165 */
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_exitdz00_1727, BgL_valz00_1728);} 

}



/* unwind-stack-until! */
BGL_EXPORTED_DEF obj_t unwind_stack_until(obj_t BgL_exitdz00_7, obj_t BgL_estampz00_8, obj_t BgL_valz00_9, obj_t BgL_proczd2bottomzd2_10, obj_t BgL_tracestkz00_11)
{
{ /* Llib/bexit.scm 176 */
BGL_TAIL return 
BGl_loopze70ze7zz__bexitz00(BgL_proczd2bottomzd2_10, BgL_exitdz00_7, BgL_estampz00_8, BgL_valz00_9, BgL_tracestkz00_11);} 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__bexitz00(obj_t BgL_proczd2bottomzd2_1756, obj_t BgL_exitdz00_1755, obj_t BgL_estampz00_1754, obj_t BgL_valz00_1753, obj_t BgL_tracestkz00_1752)
{
{ /* Llib/bexit.scm 177 */
BGl_loopze70ze7zz__bexitz00:
{ /* Llib/bexit.scm 178 */
 obj_t BgL_exitdzd2topzd2_1078;
BgL_exitdzd2topzd2_1078 = 
BGL_EXITD_TOP_AS_OBJ(); 
if(
BGL_EXITD_BOTTOMP(BgL_exitdzd2topzd2_1078))
{ /* Llib/bexit.scm 179 */
BGl_exitdzd2execzd2andzd2popzd2protectsz12z12zz__bexitz00(BgL_exitdzd2topzd2_1078); 
if(
PROCEDUREP(BgL_proczd2bottomzd2_1756))
{ /* Llib/bexit.scm 183 */
 obj_t BgL_funz00_1759;
{ /* Llib/bexit.scm 183 */
 obj_t BgL_aux1597z00_1757;
BgL_aux1597z00_1757 = BgL_proczd2bottomzd2_1756; 
if(
PROCEDUREP(BgL_aux1597z00_1757))
{ /* Llib/bexit.scm 183 */
BgL_funz00_1759 = BgL_aux1597z00_1757; }  else 
{ 
 obj_t BgL_auxz00_1832;
BgL_auxz00_1832 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1612z00zz__bexitz00, 
BINT(7892L), BGl_string1613z00zz__bexitz00, BGl_string1614z00zz__bexitz00, BgL_aux1597z00_1757); 
FAILURE(BgL_auxz00_1832,BFALSE,BFALSE);} } 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1759, 1))
{ /* Llib/bexit.scm 183 */
return 
(VA_PROCEDUREP( BgL_funz00_1759 ) ? ((obj_t (*)(obj_t, ...))PROCEDURE_ENTRY(BgL_funz00_1759))(BgL_proczd2bottomzd2_1756, BgL_valz00_1753, BEOA) : ((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_1759))(BgL_proczd2bottomzd2_1756, BgL_valz00_1753) );}  else 
{ /* Llib/bexit.scm 183 */
FAILURE(BGl_string1615z00zz__bexitz00,BGl_list1616z00zz__bexitz00,BgL_funz00_1759);} }  else 
{ /* Llib/bexit.scm 184 */
 obj_t BgL_hdlz00_1081;
BgL_hdlz00_1081 = 
BGL_UNCAUGHT_EXCEPTION_HANDLER_GET(); 
if(
PROCEDUREP(BgL_hdlz00_1081))
{ /* Llib/bexit.scm 185 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_hdlz00_1081, 1))
{ /* Llib/bexit.scm 186 */
return 
BGL_PROCEDURE_CALL1(BgL_hdlz00_1081, BgL_valz00_1753);}  else 
{ /* Llib/bexit.scm 186 */
FAILURE(BGl_string1615z00zz__bexitz00,BGl_list1623z00zz__bexitz00,BgL_hdlz00_1081);} }  else 
{ /* Llib/bexit.scm 185 */
return 
BGl_errorz00zz__errorz00(BGl_string1626z00zz__bexitz00, BGl_string1627z00zz__bexitz00, BgL_valz00_1753);} } }  else 
{ /* Llib/bexit.scm 179 */
BGl_exitdzd2execzd2andzd2popzd2protectsz12z12zz__bexitz00(BgL_exitdzd2topzd2_1078); 
POP_EXIT(); 
if(
CBOOL(BgL_tracestkz00_1752))
{ /* Llib/bexit.scm 193 */
BGL_SET_TRACE_STACKSP(BgL_tracestkz00_1752); }  else 
{ /* Llib/bexit.scm 195 */
 obj_t BgL_tmpz00_1859;
BgL_tmpz00_1859 = 
BGL_CURRENT_DYNAMIC_ENV(); 
bgl_init_trace(BgL_tmpz00_1859); } 
{ /* Llib/bexit.scm 198 */
 bool_t BgL_test1682z00_1862;
if(
(BgL_exitdzd2topzd2_1078==BgL_exitdz00_1755))
{ /* Llib/bexit.scm 199 */
 bool_t BgL__ortest_1039z00_1090;
if(
INTEGERP(BgL_estampz00_1754))
{ /* Llib/bexit.scm 199 */
BgL__ortest_1039z00_1090 = ((bool_t)0); }  else 
{ /* Llib/bexit.scm 199 */
BgL__ortest_1039z00_1090 = ((bool_t)1); } 
if(BgL__ortest_1039z00_1090)
{ /* Llib/bexit.scm 199 */
BgL_test1682z00_1862 = BgL__ortest_1039z00_1090
; }  else 
{ /* Llib/bexit.scm 200 */
 obj_t BgL_arg1169z00_1091;
BgL_arg1169z00_1091 = 
EXITD_STAMP(BgL_exitdzd2topzd2_1078); 
{ /* Llib/bexit.scm 200 */
 long BgL_n1z00_1518; long BgL_n2z00_1519;
BgL_n1z00_1518 = 
(long)CINT(BgL_arg1169z00_1091); 
{ /* Llib/bexit.scm 200 */
 obj_t BgL_tmpz00_1870;
if(
INTEGERP(BgL_estampz00_1754))
{ /* Llib/bexit.scm 200 */
BgL_tmpz00_1870 = BgL_estampz00_1754
; }  else 
{ 
 obj_t BgL_auxz00_1873;
BgL_auxz00_1873 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1612z00zz__bexitz00, 
BINT(8478L), BGl_string1613z00zz__bexitz00, BGl_string1628z00zz__bexitz00, BgL_estampz00_1754); 
FAILURE(BgL_auxz00_1873,BFALSE,BFALSE);} 
BgL_n2z00_1519 = 
(long)CINT(BgL_tmpz00_1870); } 
BgL_test1682z00_1862 = 
(BgL_n1z00_1518==BgL_n2z00_1519); } } }  else 
{ /* Llib/bexit.scm 198 */
BgL_test1682z00_1862 = ((bool_t)0)
; } 
if(BgL_test1682z00_1862)
{ /* Llib/bexit.scm 198 */
if(
EXITD_CALLCCP(BgL_exitdzd2topzd2_1078))
{ /* Llib/bexit.scm 203 */
 void * BgL_arg1167z00_1089;
BgL_arg1167z00_1089 = 
EXITD_TO_EXIT(BgL_exitdzd2topzd2_1078); 
CALLCC_JUMP_EXIT(BgL_arg1167z00_1089, BgL_valz00_1753); }  else 
{ /* Llib/bexit.scm 201 */
JUMP_EXIT(
EXITD_TO_EXIT(BgL_exitdzd2topzd2_1078),BgL_valz00_1753)
; } 
return BUNSPEC;}  else 
{ 

goto BGl_loopze70ze7zz__bexitz00;} } } } } 

}



/* &unwind-stack-until! */
obj_t BGl_z62unwindzd2stackzd2untilz12z70zz__bexitz00(obj_t BgL_envz00_1729, obj_t BgL_exitdz00_1730, obj_t BgL_estampz00_1731, obj_t BgL_valz00_1732, obj_t BgL_proczd2bottomzd2_1733, obj_t BgL_tracestkz00_1734)
{
{ /* Llib/bexit.scm 176 */
return 
unwind_stack_until(BgL_exitdz00_1730, BgL_estampz00_1731, BgL_valz00_1732, BgL_proczd2bottomzd2_1733, BgL_tracestkz00_1734);} 

}



/* exitd-exec-and-pop-protects! */
bool_t BGl_exitdzd2execzd2andzd2popzd2protectsz12z12zz__bexitz00(obj_t BgL_exitdz00_12)
{
{ /* Llib/bexit.scm 216 */
{ /* Llib/bexit.scm 217 */
 obj_t BgL_g1040z00_1094;
BgL_g1040z00_1094 = 
BGL_EXITD_PROTECT(BgL_exitdz00_12); 
{ 
 obj_t BgL_lz00_1096;
BgL_lz00_1096 = BgL_g1040z00_1094; 
BgL_zc3z04anonymousza31170ze3z87_1097:
if(
PAIRP(BgL_lz00_1096))
{ /* Llib/bexit.scm 219 */
 obj_t BgL_pz00_1099;
BgL_pz00_1099 = 
CAR(BgL_lz00_1096); 
{ /* Llib/bexit.scm 220 */
 obj_t BgL_arg1187z00_1100;
BgL_arg1187z00_1100 = 
CDR(BgL_lz00_1096); 
BGL_EXITD_PROTECT_SET(BgL_exitdz00_12, BgL_arg1187z00_1100); BUNSPEC; } 
BGl_exitdzd2execzd2protectz00zz__bexitz00(BgL_pz00_1099); 
{ 
 obj_t BgL_lz00_1894;
BgL_lz00_1894 = 
CDR(BgL_lz00_1096); 
BgL_lz00_1096 = BgL_lz00_1894; 
goto BgL_zc3z04anonymousza31170ze3z87_1097;} }  else 
{ /* Llib/bexit.scm 218 */
return ((bool_t)0);} } } } 

}



/* exitd-exec-protect */
obj_t BGl_exitdzd2execzd2protectz00zz__bexitz00(obj_t BgL_pz00_13)
{
{ /* Llib/bexit.scm 227 */
if(
BGL_MUTEXP(BgL_pz00_13))
{ /* Llib/bexit.scm 229 */
 obj_t BgL_mz00_1523;
if(
BGL_MUTEXP(BgL_pz00_13))
{ /* Llib/bexit.scm 229 */
BgL_mz00_1523 = BgL_pz00_13; }  else 
{ 
 obj_t BgL_auxz00_1900;
BgL_auxz00_1900 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1612z00zz__bexitz00, 
BINT(9709L), BGl_string1629z00zz__bexitz00, BGl_string1630z00zz__bexitz00, BgL_pz00_13); 
FAILURE(BgL_auxz00_1900,BFALSE,BFALSE);} 
{ /* Llib/bexit.scm 229 */
 int BgL_arg1551z00_1524;
BgL_arg1551z00_1524 = 
BGL_MUTEX_UNLOCK(BgL_mz00_1523); 
return 
BBOOL(
(
(long)(BgL_arg1551z00_1524)==0L));} }  else 
{ /* Llib/bexit.scm 229 */
if(
PROCEDUREP(BgL_pz00_13))
{ /* Llib/bexit.scm 230 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_pz00_13, 0))
{ /* Llib/bexit.scm 230 */
return 
BGL_PROCEDURE_CALL0(BgL_pz00_13);}  else 
{ /* Llib/bexit.scm 230 */
FAILURE(BGl_string1631z00zz__bexitz00,BGl_list1632z00zz__bexitz00,BgL_pz00_13);} }  else 
{ /* Llib/bexit.scm 230 */
if(
PAIRP(BgL_pz00_13))
{ /* Llib/bexit.scm 231 */
BGL_ERROR_HANDLER_SET(BgL_pz00_13); 
return BUNSPEC;}  else 
{ /* Llib/bexit.scm 231 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_pz00_13))
{ /* Llib/bexit.scm 232 */
 int BgL_auxz00_1921;
{ /* Llib/bexit.scm 232 */
 obj_t BgL_tmpz00_1922;
if(
INTEGERP(BgL_pz00_13))
{ /* Llib/bexit.scm 232 */
BgL_tmpz00_1922 = BgL_pz00_13
; }  else 
{ 
 obj_t BgL_auxz00_1925;
BgL_auxz00_1925 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1612z00zz__bexitz00, 
BINT(9825L), BGl_string1629z00zz__bexitz00, BGl_string1628z00zz__bexitz00, BgL_pz00_13); 
FAILURE(BgL_auxz00_1925,BFALSE,BFALSE);} 
BgL_auxz00_1921 = 
CINT(BgL_tmpz00_1922); } 
return 
BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_1921);}  else 
{ /* Llib/bexit.scm 232 */
if(
VECTORP(BgL_pz00_13))
{ /* Llib/bexit.scm 233 */
return 
BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_pz00_13);}  else 
{ /* Llib/bexit.scm 233 */
return BFALSE;} } } } } } 

}



/* exitd-protect-set! */
BGL_EXPORTED_DEF obj_t BGl_exitdzd2protectzd2setz12z12zz__bexitz00(obj_t BgL_exitdz00_14, obj_t BgL_pz00_15)
{
{ /* Llib/bexit.scm 238 */
BGL_EXITD_PROTECT_SET(BgL_exitdz00_14, BgL_pz00_15); 
return BUNSPEC;} 

}



/* &exitd-protect-set! */
obj_t BGl_z62exitdzd2protectzd2setz12z70zz__bexitz00(obj_t BgL_envz00_1735, obj_t BgL_exitdz00_1736, obj_t BgL_pz00_1737)
{
{ /* Llib/bexit.scm 238 */
return 
BGl_exitdzd2protectzd2setz12z12zz__bexitz00(BgL_exitdz00_1736, BgL_pz00_1737);} 

}



/* exitd-push-protect! */
BGL_EXPORTED_DEF obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t BgL_exitdz00_16, obj_t BgL_mz00_17)
{
{ /* Llib/bexit.scm 244 */
{ /* Llib/bexit.scm 245 */
 obj_t BgL_arg1195z00_1780;
{ /* Llib/bexit.scm 245 */
 obj_t BgL_arg1196z00_1781;
BgL_arg1196z00_1781 = 
BGL_EXITD_PROTECT(BgL_exitdz00_16); 
BgL_arg1195z00_1780 = 
MAKE_YOUNG_PAIR(BgL_mz00_17, BgL_arg1196z00_1781); } 
BGL_EXITD_PROTECT_SET(BgL_exitdz00_16, BgL_arg1195z00_1780); 
return BUNSPEC;} } 

}



/* &exitd-push-protect! */
obj_t BGl_z62exitdzd2pushzd2protectz12z70zz__bexitz00(obj_t BgL_envz00_1738, obj_t BgL_exitdz00_1739, obj_t BgL_mz00_1740)
{
{ /* Llib/bexit.scm 244 */
return 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitdz00_1739, BgL_mz00_1740);} 

}



/* exitd-pop-protect! */
BGL_EXPORTED_DEF obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t BgL_exitdz00_18)
{
{ /* Llib/bexit.scm 250 */
{ /* Llib/bexit.scm 251 */
 bool_t BgL_test1697z00_1940;
{ /* Llib/bexit.scm 251 */
 obj_t BgL_arg1203z00_1782;
BgL_arg1203z00_1782 = 
BGL_EXITD_PROTECT(BgL_exitdz00_18); 
BgL_test1697z00_1940 = 
PAIRP(BgL_arg1203z00_1782); } 
if(BgL_test1697z00_1940)
{ /* Llib/bexit.scm 252 */
 obj_t BgL_arg1201z00_1783;
{ /* Llib/bexit.scm 252 */
 obj_t BgL_arg1202z00_1784;
BgL_arg1202z00_1784 = 
BGL_EXITD_PROTECT(BgL_exitdz00_18); 
{ /* Llib/bexit.scm 252 */
 obj_t BgL_pairz00_1785;
if(
PAIRP(BgL_arg1202z00_1784))
{ /* Llib/bexit.scm 252 */
BgL_pairz00_1785 = BgL_arg1202z00_1784; }  else 
{ 
 obj_t BgL_auxz00_1946;
BgL_auxz00_1946 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1612z00zz__bexitz00, 
BINT(10883L), BGl_string1635z00zz__bexitz00, BGl_string1636z00zz__bexitz00, BgL_arg1202z00_1784); 
FAILURE(BgL_auxz00_1946,BFALSE,BFALSE);} 
BgL_arg1201z00_1783 = 
CDR(BgL_pairz00_1785); } } 
BGL_EXITD_PROTECT_SET(BgL_exitdz00_18, BgL_arg1201z00_1783); 
return BUNSPEC;}  else 
{ /* Llib/bexit.scm 251 */
return BFALSE;} } } 

}



/* &exitd-pop-protect! */
obj_t BGl_z62exitdzd2popzd2protectz12z70zz__bexitz00(obj_t BgL_envz00_1741, obj_t BgL_exitdz00_1742)
{
{ /* Llib/bexit.scm 250 */
return 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitdz00_1742);} 

}



/* default-uncaught-exception-handler */
BGL_EXPORTED_DEF obj_t bgl_uncaught_exception_handler(obj_t BgL_valz00_19)
{
{ /* Llib/bexit.scm 257 */
return 
BGl_errorz00zz__errorz00(BGl_string1626z00zz__bexitz00, BGl_string1627z00zz__bexitz00, BgL_valz00_19);} 

}



/* &default-uncaught-exception-handler */
obj_t BGl_z62defaultzd2uncaughtzd2exceptionzd2handlerzb0zz__bexitz00(obj_t BgL_envz00_1743, obj_t BgL_valz00_1744)
{
{ /* Llib/bexit.scm 257 */
return 
bgl_uncaught_exception_handler(BgL_valz00_1744);} 

}



/* $exitd-mutex-profile */
BGL_EXPORTED_DEF obj_t bgl_exitd_mutex_profile(void)
{
{ /* Llib/bexit.scm 268 */
return BUNSPEC;} 

}



/* &$exitd-mutex-profile */
obj_t BGl_z62z42exitdzd2mutexzd2profilez20zz__bexitz00(obj_t BgL_envz00_1745)
{
{ /* Llib/bexit.scm 268 */
return 
bgl_exitd_mutex_profile();} 

}



/* $failsafe-mutex-profile */
BGL_EXPORTED_DEF obj_t bgl_failsafe_mutex_profile(void)
{
{ /* Llib/bexit.scm 269 */
return BUNSPEC;} 

}



/* &$failsafe-mutex-profile */
obj_t BGl_z62z42failsafezd2mutexzd2profilez20zz__bexitz00(obj_t BgL_envz00_1746)
{
{ /* Llib/bexit.scm 269 */
return 
bgl_failsafe_mutex_profile();} 

}



/* env-get-exitd-val */
BGL_EXPORTED_DEF obj_t BGl_envzd2getzd2exitdzd2valzd2zz__bexitz00(obj_t BgL_envz00_20)
{
{ /* Llib/bexit.scm 276 */
return 
BGL_ENV_EXITD_VAL(BgL_envz00_20);} 

}



/* &env-get-exitd-val */
obj_t BGl_z62envzd2getzd2exitdzd2valzb0zz__bexitz00(obj_t BgL_envz00_1747, obj_t BgL_envz00_1748)
{
{ /* Llib/bexit.scm 276 */
{ /* Llib/bexit.scm 276 */
 obj_t BgL_auxz00_1958;
if(
BGL_DYNAMIC_ENVP(BgL_envz00_1748))
{ /* Llib/bexit.scm 276 */
BgL_auxz00_1958 = BgL_envz00_1748
; }  else 
{ 
 obj_t BgL_auxz00_1961;
BgL_auxz00_1961 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1612z00zz__bexitz00, 
BINT(12088L), BGl_string1637z00zz__bexitz00, BGl_string1638z00zz__bexitz00, BgL_envz00_1748); 
FAILURE(BgL_auxz00_1961,BFALSE,BFALSE);} 
return 
BGl_envzd2getzd2exitdzd2valzd2zz__bexitz00(BgL_auxz00_1958);} } 

}



/* env-set-exitd-val! */
BGL_EXPORTED_DEF obj_t BGl_envzd2setzd2exitdzd2valz12zc0zz__bexitz00(obj_t BgL_envz00_21, obj_t BgL_objz00_22)
{
{ /* Llib/bexit.scm 277 */
return 
BGL_ENV_EXITD_VAL_SET(BgL_envz00_21, BgL_objz00_22);} 

}



/* &env-set-exitd-val! */
obj_t BGl_z62envzd2setzd2exitdzd2valz12za2zz__bexitz00(obj_t BgL_envz00_1749, obj_t BgL_envz00_1750, obj_t BgL_objz00_1751)
{
{ /* Llib/bexit.scm 277 */
{ /* Llib/bexit.scm 277 */
 obj_t BgL_auxz00_1967;
if(
BGL_DYNAMIC_ENVP(BgL_envz00_1750))
{ /* Llib/bexit.scm 277 */
BgL_auxz00_1967 = BgL_envz00_1750
; }  else 
{ 
 obj_t BgL_auxz00_1970;
BgL_auxz00_1970 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1612z00zz__bexitz00, 
BINT(12162L), BGl_string1639z00zz__bexitz00, BGl_string1638z00zz__bexitz00, BgL_envz00_1750); 
FAILURE(BgL_auxz00_1970,BFALSE,BFALSE);} 
return 
BGl_envzd2setzd2exitdzd2valz12zc0zz__bexitz00(BgL_auxz00_1967, BgL_objz00_1751);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__bexitz00(void)
{
{ /* Llib/bexit.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__bexitz00(void)
{
{ /* Llib/bexit.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__bexitz00(void)
{
{ /* Llib/bexit.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__bexitz00(void)
{
{ /* Llib/bexit.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1640z00zz__bexitz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(475449627L, 
BSTRING_TO_STRING(BGl_string1640z00zz__bexitz00)); 
return 
BGl_modulezd2initializa7ationz75zz__threadz00(149516032L, 
BSTRING_TO_STRING(BGl_string1640z00zz__bexitz00));} 

}

#ifdef __cplusplus
}
#endif
